Bug 11431 - CTDB's eventscript error handling is broken
CTDB's eventscript error handling is broken
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.3.0rc
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 06:14 UTC by Martin Schwenke
Modified: 2015-08-24 12:53 UTC (History)
2 users (show)

See Also:


Attachments
Patches for 4.2 (7.80 KB, patch)
2015-08-05 06:45 UTC, Martin Schwenke
amitay: review+
Details
Patches for 4.3 (4.06 KB, patch)
2015-08-05 06:45 UTC, Martin Schwenke
amitay: review+
Details
Patches for 4.2 (6.76 KB, patch)
2015-08-13 05:33 UTC, Martin Schwenke
martins: review? (amitay)
metze: review+
Details
Patches for 4.3 (3.02 KB, patch)
2015-08-13 05:34 UTC, Martin Schwenke
martins: review? (amitay)
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2015-08-05 06:14:36 UTC
There are a few issues with CTDB's handling of error when running eventscripts.  Some return codes are incorrectly mapped and the ctdb CLI tool handles timeouts badly.
Comment 1 Martin Schwenke 2015-08-05 06:45:01 UTC
Created attachment 11307 [details]
Patches for 4.2
Comment 2 Martin Schwenke 2015-08-05 06:45:46 UTC
Created attachment 11308 [details]
Patches for 4.3
Comment 3 Martin Schwenke 2015-08-05 06:46:17 UTC
Comment on attachment 11307 [details]
Patches for 4.2

I guess we want this is 4.2 as well...
Comment 4 Amitay Isaacs 2015-08-06 04:09:47 UTC
Hi Karonlin,

This one fixes both 4.2.x and 4.3.x.
Comment 5 Amitay Isaacs 2015-08-13 05:08:56 UTC
One of the patch is broken.  Please do not push these patches just yet.
Comment 6 Martin Schwenke 2015-08-13 05:33:50 UTC
Created attachment 11329 [details]
Patches for 4.2
Comment 7 Martin Schwenke 2015-08-13 05:34:23 UTC
Created attachment 11330 [details]
Patches for 4.3
Comment 8 Stefan Metzmacher 2015-08-18 05:49:33 UTC
Pushed to autobuild-v4-{2,3}-test
Comment 9 Stefan Metzmacher 2015-08-18 11:43:55 UTC
Pushed to v4-3-test, v4-2-test still pending
Comment 10 Stefan Metzmacher 2015-08-24 12:53:42 UTC
Pushed to v4-2-test